# IdentifiableObject Class Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Ideal Identifiable interface implementation. More...

Inheritance diagram for IdentifiableObject:
[legend]

List of all members.

## Public Member Functions

| getId ()
| setId ($id)

## Static Public Member Functions

static | wrap ($id)

## Protected Attributes

| $id = null

## Detailed Description

Ideal Identifiable interface implementation.

;-)

See also:
  Identifiable

Definition at line 20 of file IdentifiableObject.class.php.

## Member Function Documentation

IdentifiableObject::getId | ( |  | ) |

Implements Identifiable.

Definition at line 34 of file IdentifiableObject.class.php.

Referenced by AbstractCollection::add(), AbstractCollection::contains(), and IdentifiableTree::toString().

IdentifiableObject::setId | ( | $ | id | ) |

Returns:
  IdentifiableObject

Implements Identifiable.

Definition at line 48 of file IdentifiableObject.class.php.

References $id.

static IdentifiableObject::wrap | ( | $ | id | ) | `[static]`

Returns:
  IdentifiableObject

Definition at line 27 of file IdentifiableObject.class.php.

References $id.

## Member Data Documentation

IdentifiableObject::$id = null`[protected]`

Definition at line 22 of file IdentifiableObject.class.php.

Referenced by Enumeration::__construct(), MetaRelation::create(), LabelStyleType::create(), GoogleChartSolidFillType::create(), GoogleChartLegendPositionType::create(), IsoCurrency::create(), DataType::create(), LogLevel::getInstance(), FetchStrategy::getInstance(), RequestType::getInstance(), Enumeration::getObjectList(), MetaRelation::makeFromName(), LogLevel::setId(), FetchStrategy::setId(), RequestType::setId(), setId(), Enumeration::setId(), and wrap().

The documentation for this class was generated from the following file:

- core/Base/IdentifiableObject.class.php